Config::Any::YAML(3)

NAME
Config::Any::YAML - Load YAML config files

DESCRIPTION
Loads YAML files. Example:

    ---
    name: TestApp
    Controller::Foo:
        foo: bar
    Model::Baz:
        qux: xyzzy

METHODS

  extensions( )
return an array of valid extensions ("yml", "yaml").

  load( $file )
Attempts to load $file as a YAML file.

  requires_any_of( )
Specifies that this modules requires one of YAML::XS, YAML::Syck (0.70) or YAML in order to work.

AUTHOR
Brian Cassidy <bricas@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2006-2016 by Brian Cassidy

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Catalyst

•   Config::Any

•   YAML::XS

•   YAML

•   YAML::Syck